summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Sasongko Bawono <sasongko262@gmail.com>2017-02-20 18:06:48 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-02-21 16:44:34 +0700
commit16a63ad6662740ed4b3cf5b85641ab2cadc1fc3e (patch)
tree80361d5b97d06510b836f39a636c81e366185029
parenta49e025afa39ee64bb050fd2df940c6f648b5a44 (diff)
downloadslackbuilds-16a63ad6662740ed4b3cf5b85641ab2cadc1fc3e.tar.gz
slackbuilds-16a63ad6662740ed4b3cf5b85641ab2cadc1fc3e.tar.xz
network/zsync: Added (client-side implementation of rsync).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--network/zsync/README14
-rw-r--r--network/zsync/slack-desc19
-rw-r--r--network/zsync/zsync.SlackBuild102
-rw-r--r--network/zsync/zsync.info10
4 files changed, 145 insertions, 0 deletions
diff --git a/network/zsync/README b/network/zsync/README
new file mode 100644
index 0000000000..e333516143
--- /dev/null
+++ b/network/zsync/README
@@ -0,0 +1,14 @@
+zsync is a file transfer program. It allows you to download a file from
+a remote web server, where you have a copy of an older version of the
+file on your computer already. zsync downloads only the new parts of
+the file. It uses the same algorithm as rsync.
+
+zsync does not require any special server software or a shell account
+on the remote system (rsync, in comparison, requires that you have an
+rsh or ssh account, or that the remote system runs rsyncd). Instead, it
+uses a control file - a .zsync file - that describes the file to be
+downloaded and enables zsync to work out which blocks it needs. This
+file can be created by the admin of the web server hosting the
+download, and placed alongside the file to download - it is generated
+once, then any downloaders with zsync can use it. Alternatively, anyone
+can download the file, make a .zsync and provide it to other users.
diff --git a/network/zsync/slack-desc b/network/zsync/slack-desc
new file mode 100644
index 0000000000..13705bc452
--- /dev/null
+++ b/network/zsync/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+zsync: zsync (client-side implementation of the rsync algorithm)
+zsync:
+zsync: zsync is a file transfer program. It allows you to download a file from
+zsync: a remote web server, where you have a copy of an older version of the
+zsync: file on your computer already. zsync downloads only the new parts of
+zsync: the file. It uses the same algorithm as rsync.
+zsync:
+zsync: The zsync web site is at http://zsync.moria.org.uk/
+zsync:
+zsync:
+zsync:
diff --git a/network/zsync/zsync.SlackBuild b/network/zsync/zsync.SlackBuild
new file mode 100644
index 0000000000..ad5b7ecdaf
--- /dev/null
+++ b/network/zsync/zsync.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for zsync
+
+# Copyright 2017 Sasongko Bawono <sasongko262@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=zsync
+VERSION=${VERSION:-0.6.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING INSTALL NEWS README\
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/zsync/zsync.info b/network/zsync/zsync.info
new file mode 100644
index 0000000000..5dd0df696d
--- /dev/null
+++ b/network/zsync/zsync.info
@@ -0,0 +1,10 @@
+PRGNAM="zsync"
+VERSION="0.6.2"
+HOMEPAGE="http://zsync.moria.org.uk/"
+DOWNLOAD="http://zsync.moria.org.uk/download/zsync-0.6.2.tar.bz2"
+MD5SUM="862f90bafda118c4d3c5ee6477e50841"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Sasongko Bawono"
+EMAIL="sasongko262@gmail.com"